cmake_minimum_required(VERSION 3.15.2)

# 设置工程名称和语言
project(TETGEN)

message(STATUS "Platform: " ${CMAKE_HOST_SYSTEM_NAME})
if(${CMAKE_HOST_SYSTEM_NAME} STREQUAL "Windows")
    #set(CMAKE_C_COMPILER gcc)
    #set(CMAKE_CXX_COMPILER g++)
    set(CMAKE_INSTALL_PREFIX D:/Library)
endif()
message(STATUS "Install prefix: " ${CMAKE_INSTALL_PREFIX})

# 添加源文件地址
add_subdirectory(src/)